org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

## Class NodesToAttributesMappingResponsePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingResponse
  - - org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.NodesToAttributesMappingResponsePBImpl

-     public class NodesToAttributesMappingResponsePBImpl
      extends org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingResponse

  Proto class for node to attributes mapping response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodesToAttributesMappingResponsePBImpl()`
    `NodesToAttributesMappingResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.NodesToAttributesMappingResponseProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.NodesToAttributesMappingResponseProto` | `getProto()`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingResponse

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodesToAttributesMappingResponsePBImpl

          public NodesToAttributesMappingResponsePBImpl()

    - #### NodesToAttributesMappingResponsePBImpl

          public NodesToAttributesMappingResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.NodesToAttributesMappingResponseProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.NodesToAttributesMappingResponseProto getProto()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.